package org.especialistajee.cw.filmoteca.dao;

/**
 * La clase <code>FactoriaDaos</code> se utilizara como factoria de los objetos de acceso
 * a datos de la aplicacion. 
 * @author malozano
 *
 */
public class FactoriaDaos {
	/**
	 * Devuelve al DAO para acceder a los datos de las peliculas.
	 * @return DAO que da acceso a las peliculas.
	 */
	public static IPeliculaDao getPeliculaDao() {
		return new JdbcPeliculaDao();
	}	
}
