package org.especialistajee.cw.filmoteca.dao;

import java.sql.Connection;
import java.sql.SQLException;

import javax.naming.Context;
import javax.naming.InitialContext;
import javax.sql.DataSource;

public class FuenteDatosJdbc {

	private static FuenteDatosJdbc me = null;
	private static DataSource ds = null;
	
	private FuenteDatosJdbc() {
		try {
			Context initCtx = new InitialContext();
			ds = (DataSource) initCtx.lookup("java:comp/env/FilmotecaDS");
		} catch(Exception e) {
			ds = null;
		}		
	}
	
	public static FuenteDatosJdbc getInstance() {
		if (me==null)
			me = new FuenteDatosJdbc();
		return me;
	}
	
	public Connection getConnection() throws SQLException {
		return ds.getConnection();
	}
}
