package org.especialistajee.cw.filmoteca.domain;

import java.util.List;

import javax.xml.bind.annotation.XmlAttribute;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlRootElement;

@XmlRootElement(name="actor")
public class ActorBean {

	String nombreActor;
	String personaje;
	
	List<LinkBean> links;
	
	@XmlAttribute(name="nombre")
	public String getNombreActor() {
		return nombreActor;
	}
	public void setNombreActor(String nombreActor) {
		this.nombreActor = nombreActor;
	}
	
	@XmlAttribute(name="personaje")
	public String getPersonaje() {
		return personaje;
	}
	public void setPersonaje(String personaje) {
		this.personaje = personaje;
	}
	
	@XmlElement(name="link")
	public List<LinkBean> getLinks() {
		return links;
	}
	public void setLinks(List<LinkBean> links) {
		this.links = links;
	}
	
}
